Package org.lwjgl.opengl

# Class Util

java.lang.Object
org.lwjgl.opengl.Util

public final class Util extends Object
Simple utility class.

Version:
  $Revision$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkGLError()`
Throws OpenGLException if glGetError() returns anything else than GL_NO_ERROR
`static String`
`translateGLErrorString(int error_code)`
Translate a GL error code to a String describing the error

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### checkGLError

public static void checkGLError() throws OpenGLException
Throws OpenGLException if glGetError() returns anything else than GL_NO_ERROR

Throws:
  `OpenGLException`

### translateGLErrorString

public static String translateGLErrorString(int error_code)
Translate a GL error code to a String describing the error